#!/bin/bash

shellfu import pretty

#
# dist.sh module to query /etc/system-release-cpe
#

_distp_esrc__get() {
    #
    # Get field from /etc/system-release-cpe
    #
    local key=$1
    test "$key" == cpe || return 2
    cat /etc/system-release-cpe
}

_distp_esrc__enum() {
    #
    # Enumerate known keys
    #
    echo cpe
}

_distp_esrc__sfpi_compat() {
    #
    # True if this plugin should work here
    #
    test -r /etc/system-release-cpe
}

#shellfu module-version=0.2.5
